void printi(int val);

int main()
{
  int i, sum = 0;

  for (i = 0; i < 10; i++) {
    if (i == 5)
      break;
    if (i == 3)
      continue;
    sum += i;

    printi(i);
    printi(sum);
  }

  printi(i);
  printi(sum);

  return 0;
}
